8

For installing my Samsung ML -1676 Printer on Ubuntu 12.04 LTS how should I add filter rastertospl on my usr/lib/cups/filter folder?

5 Answers 5

2

The problem happens when you install the printer from a PPD file without using the full installer for Unified Linux Driver obtained from Samsung website.

rastertospl is not part of any standard apt package, you need to download it from https://support.hp.com (as of 2019.09.02) or use https://www.bchemnet.com/suldr/.

2

The archive for the Linux driver contains a uld directory. This directory contains the install.sh file and three directories: arm, i386, and x86_64. These directories contain the rastertospl files for different architectures. You should copy the one for your architecture in the /usr/lib/cups/filter. Make the copy as root user, or you will get a permission error (from shell, use sudo.)

1

You can go to the terminal and run :

sudo sh /home/yourusername/WhereverYourArchiveIs/install.sh

After downloading the drivers from the web, and selecting manually the .ppd file, you can go to the terminal and insert the command said before, just run the sh "install.sh", found at the main folder of the ULD driver folder, as SUDO, and then you can use the printer.

If this doesn't solve your problem, go and copy the "rastertospl" file, which is found at i386 folder (if you are x32 system) or at x86_64 (if you are x64 system), to the location "usr/lib/cups/filter" and then run the command.

That's all.

0

To paste the file rastertospl in the folder \usr\lib\cups\filter you need to do this as root, otherwise the permission will be denied. Do this by right clicking on the folder filter and clicking on "Open as Root". You will notice a red stripe with Elevated Privileges written on it. Now you can paste the file rastertospl into the folder \usr\lib\cups\filter.

3
  • You could improve your answer by including what package/ppa/website provides rastertospl.
    – J. Starnes
    Nov 8, 2017 at 4:12
  • Where is the rastertospl file located? Nov 6, 2018 at 23:30
  • some closed-source thing, maybe? Apr 10, 2021 at 17:38
0

The first answer was incomplete. You need to install the suld driver such as suld-driver-4.01.17 from https://www.bchemnet.com/suldr.

1

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.